## fstl 0.9.4

=== CMakeLists.txt ===
#### Fast .stl viewer #####
# Original Project Author: Matt Keeter Copyright 2014 -2017
# Author: Paul Tsouchlos Copyright 2017

cmake_minimum_required(VERSION 3.3)

# Setting -std=c++11
set(CMAKE_CXX_STANDARD 11)
# Setting standard to required, as requisted by DeveloperPaul123 on github
set(CXX_STANDARD_REQUIRED ON)

# Set the version number
set (FSTL_VERSION_MAJOR "0")
set (FSTL_VERSION_MINOR "9")
set (FSTL_VERSION_PATCH "4")
set (PROJECT_VERSION "${FSTL_VERSION_MAJOR}.${FSTL_VERSION_MINOR}.${FSTL_VERSION_PATCH}")

project(fstl)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)

#set project sources
set(Project_Sources src/app.cpp
src/backdrop.cpp
src/canvas.cpp
src/glmesh.cpp
src/loader.cpp
src/main.cpp
src/mesh.cpp
src/window.cpp)

#set project headers. 
set(Project_Headers src/app.h
src/backdrop.h
src/canvas.h
src/glmesh.h
src/loader.h
src/mesh.h
src/window.h)

#set project resources and icon resource
set(Project_Resources qt/qt.qrc gl/gl.qrc)
set(Icon_Resource exe/fstl.rc)

#set Policy CMP0072 FindOpenGL behavior
set(OpenGL_GL_PREFERENCE GLVND)

#find required packages. 
find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets OpenGL)
find_package(OpenGL REQUIRED)
find_package(Threads REQUIRED)

#add resources to RCC
qt5_add_resources(Project_Resources_RCC ${Project_Resources})

#tell CMake AUTOGEN to skip autogen on the generated qrc files
set_property(SOURCE ${Project_Resources_RCC} PROPERTY SKIP_AUTOGEN ON)

#include opengl files. 
include_directories(${QT_QTOPENGL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR} )

add_executable(fstl WIN32 ${Project_Sources} ${Project_Headers} ${Project_Resources_RCC} ${Icon_Resource})
target_link_libraries(fstl Qt5::Widgets Qt5::Core Qt5::Gui Qt5::OpenGL ${OPENGL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
if(WIN32)
  set(Fstl_LINK_FLAGS ${CMAKE_CURRENT_SOURCE_DIR}/${Icon_Resource})
  set_target_properties(fstl PROPERTIES LINK_FLAGS ${Fstl_LINK_FLAGS})
endif(WIN32)

# Add version definitions to use within the code. 
target_compile_definitions(fstl PRIVATE -DFSTL_VERSION="${PROJECT_VERSION}")

#installer information that is platform independent
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Fast .stl file viewer.")
set(CPACK_PACKAGE_VERSION_MAJOR ${FSTL_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${FSTL_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${FSTL_VERSION_PATCH})

if(WIN32)

	set(QT_USE_QTMAIN true)
	
	if(MSVC)
		set_source_files_properties(fstl PROPERTIES LINKER_LANGUAGE "CXX")
		set_target_properties(fstl PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS")

		install(TARGETS fstl DESTINATION bin COMPONENT all)
		
		install(FILES
			$<TARGET_FILE:Qt5::Gui_EGL>
			$<TARGET_FILE:Qt5::Gui_GLESv2>
			$<TARGET_FILE:Qt5::Core>
			$<TARGET_FILE:Qt5::Gui> 
			$<TARGET_FILE:Qt5::OpenGL>
			$<TARGET_FILE:Qt5::Widgets>
			DESTINATION bin COMPONENT all)
		
		#install file in the platforms directory.
		install (FILES
			${Qt5Core_DIR}/../../../plugins/platforms/qwindows.dll
			DESTINATION bin/platforms COMPONENT all
		)

		#custom commands based on: https://gist.github.com/Rod-Persky/e6b93e9ee31f9516261b
		add_custom_command(TARGET fstl POST_BUILD 
			COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::Core>       $<TARGET_FILE_DIR:${PROJECT_NAME}>
			COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::Gui>        $<TARGET_FILE_DIR:${PROJECT_NAME}>
			COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::Widgets>    $<TARGET_FILE_DIR:${PROJECT_NAME}>
			COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::OpenGL>     $<TARGET_FILE_DIR:${PROJECT_NAME}>
		)	
	endif(MSVC)

	# windows specific installer generation information
	set(CPACK_GENERATOR NSIS)
	set(CPACK_NSIS_ENABLE_UNINSTALL_BEFORE_INSTALL OFF)
	set(CPACK_NSIS_MODIFY_PATH ON)
	set(CPACK_NSIS_MUI_FINISHPAGE_RUN ${PROJECT_NAME})
	set(CPACK_PACKAGE_INSTALL_DIRECTORY "${PROJECT_NAME}")
	set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\fstl.exe")
	set(CPACK_NSIS_URL_INFO_ABOUT "https://github.com/mkeeter/fstl")
	set(CPACK_NSIS_DISPLAY_NAME "fstl ${FSTL_VERSION}")
	set(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/exe/fstl.ico")
	set(CPACK_NSIS_MUI_UNIICON  "${CMAKE_CURRENT_SOURCE_DIR}/exe/fstl.ico")
	set(CPACK_NSIS_CREATE_ICONS_EXTRA
		"CreateShortCut '$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\fstl.lnk' '$INSTDIR\\\\bin\\\\fstl.exe'")
	set(CPACK_COMPONENTS_ALL all)
	if (CMAKE_CL_64)
		set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES64")
	else (CMAKE_CL_64)
		set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
	endif (CMAKE_CL_64)
elseif(APPLE)
	set(CPACK_GENERATOR "DragNDrop")
	set(CPACK_DMG_FORMAT "UDBZ")
	set(CPACK_DMG_VOLUME_NAME "${PROJECT_NAME}")
	set(CPACK_SYSTEM_NAME "OSX")
	set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
    set(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/app/fstl.icns")
else()
	install(TARGETS fstl RUNTIME DESTINATION bin)

	set(CPACK_GENERATOR "DEB;RPM")
	set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
endif(WIN32)

include(CPack)

## fstl 0.9.2

=== debian/changelog ===
fstl (0.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #819313)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 27 Mar 2016 22:00:00 +0200

=== debian/control ===
Source: fstl
Section: graphics
Priority: optional
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: debhelper (>=9), qtbase5-dev, qtchooser, libqt5opengl5-dev
Standards-Version: 3.9.7
Homepage: http://www.mattkeeter.com/projects/fstl/
Vcs-Git: https://git.sur5r.net/fstl
Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary

Package: fstl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgl1-mesa-dri
Description: Viewer for .stl files
 fstl is a viewer for .stl files commonly used in stereolithography,
 rapid prototyping, 3D printing and CAM.
 .
 It is optimized to quickly load and render very high-polygon models.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh "$@" --sourcedirectory=qt

## fstl 0.9.3

=== debian/changelog ===
fstl (0.9.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Jakob Haufe <sur5r@sur5r.net>  Fri, 22 Jan 2021 11:18:59 +0800

fstl (0.9.3-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version (no changes needed)
  * Switch to DH 11

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 12 Aug 2018 20:55:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: debhelper (>=9), qtbase5-dev, qtchooser, libqt5opengl5-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>=11), qtbase5-dev, qtchooser, libqt5opengl5-dev
+Standards-Version: 4.2.0
 Homepage: http://www.mattkeeter.com/projects/fstl/
 Vcs-Git: https://git.sur5r.net/fstl
 Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary
@@ -16,4 +16,3 @@
  rapid prototyping, 3D printing and CAM.
  .
  It is optimized to quickly load and render very high-polygon models.
-

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 
 %:
 	dh "$@" --sourcedirectory=qt
-

## fstl 0.9.4

=== debian/changelog ===
fstl (0.9.4-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version (no changes needed)
  * Switch to DH 13

 -- Jakob Haufe <sur5r@debian.org>  Mon, 15 Feb 2021 20:04:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fstl
 Section: graphics
 Priority: optional
-Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: debhelper (>=11), qtbase5-dev, qtchooser, libqt5opengl5-dev
-Standards-Version: 4.2.0
+Maintainer: Jakob Haufe <sur5r@debian.org>
+Build-Depends: debhelper-compat (= 13), qtbase5-dev, qtchooser, libqt5opengl5-dev, cmake
+Standards-Version: 4.5.1
 Homepage: http://www.mattkeeter.com/projects/fstl/
 Vcs-Git: https://git.sur5r.net/fstl
 Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary
+Rules-Requires-Root: no
 
 Package: fstl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh "$@" --sourcedirectory=qt
+	dh "$@"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fstl-$1\.tar\.gz/ https://github.com/mkeeter/fstl/releases .*/v?(\d\S*)\.tar\.gz

## fstl 0.10.0

=== CMakeLists.txt ===
#### Fast .stl viewer #####
# Original Project Author: Matt Keeter Copyright 2014 -2017
# Author: Paul Tsouchlos Copyright 2017

cmake_minimum_required(VERSION 3.3)

project(fstl)

# Setting -std=c++11
set(CMAKE_CXX_STANDARD 11)
# Setting standard to required, as requisted by DeveloperPaul123 on github
set(CXX_STANDARD_REQUIRED ON)

# Set the version number
set (FSTL_VERSION_MAJOR "0")
set (FSTL_VERSION_MINOR "10")
set (FSTL_VERSION_PATCH "0")
set (PROJECT_VERSION "${FSTL_VERSION_MAJOR}.${FSTL_VERSION_MINOR}.${FSTL_VERSION_PATCH}")

message(STATUS "Version: ${PROJECT_VERSION}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)

#set project sources
set(Project_Sources src/app.cpp
src/backdrop.cpp
src/axis.cpp
src/canvas.cpp
src/glmesh.cpp
src/loader.cpp
src/main.cpp
src/mesh.cpp
src/window.cpp)

#set project headers. 
set(Project_Headers src/app.h
src/backdrop.h
src/axis.h
src/canvas.h
src/glmesh.h
src/loader.h
src/mesh.h
src/window.h)

#set project resources and icon resource
set(Project_Resources qt/qt.qrc gl/gl.qrc)
set(Icon_Resource exe/fstl.rc)

#set Policy CMP0072 FindOpenGL behavior
set(OpenGL_GL_PREFERENCE GLVND)

#find required packages. 
find_package(Qt5 5.14 REQUIRED COMPONENTS Core Gui Widgets OpenGL)
find_package(OpenGL REQUIRED)
find_package(Threads REQUIRED)

#add resources to RCC
qt5_add_resources(Project_Resources_RCC ${Project_Resources})

#tell CMake AUTOGEN to skip autogen on the generated qrc files
set_property(SOURCE ${Project_Resources_RCC} PROPERTY SKIP_AUTOGEN ON)

#include opengl files. 
include_directories(${QT_QTOPENGL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR} )

if(WIN32)
  add_executable(fstl WIN32 ${Project_Sources} ${Project_Headers} ${Project_Resources_RCC} ${Icon_Resource})
  set(Fstl_LINK_FLAGS ${CMAKE_CURRENT_SOURCE_DIR}/${Icon_Resource})
  set_target_properties(fstl PROPERTIES LINK_FLAGS ${Fstl_LINK_FLAGS})
elseif(APPLE)
  add_executable(fstl MACOSX_BUNDLE ${Project_Sources} ${Project_Headers} ${Project_Resources_RCC} ${Icon_Resource})
else()
  add_executable(fstl ${Project_Sources} ${Project_Headers} ${Project_Resources_RCC} ${Icon_Resource})
endif(WIN32)

target_link_libraries(fstl Qt5::Widgets Qt5::Core Qt5::Gui Qt5::OpenGL ${OPENGL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

# Add version definitions to use within the code. 
target_compile_definitions(fstl PRIVATE -DFSTL_VERSION="${PROJECT_VERSION}")

#installer information that is platform independent
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Fast .stl file viewer.")
set(CPACK_PACKAGE_VERSION_MAJOR ${FSTL_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${FSTL_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${FSTL_VERSION_PATCH})

if(WIN32)

    set(QT_USE_QTMAIN true)
    
    if(MSVC)
        set_source_files_properties(fstl PROPERTIES LINKER_LANGUAGE "CXX")
        set_target_properties(fstl PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS")

        install(TARGETS fstl DESTINATION bin COMPONENT all)
        
        install(FILES
            $<TARGET_FILE:Qt5::Gui_EGL>
            $<TARGET_FILE:Qt5::Gui_GLESv2>
            $<TARGET_FILE:Qt5::Core>
            $<TARGET_FILE:Qt5::Gui> 
            $<TARGET_FILE:Qt5::OpenGL>
            $<TARGET_FILE:Qt5::Widgets>
            DESTINATION bin COMPONENT all)
        
        #install file in the platforms directory.
        install (FILES
            ${Qt5Core_DIR}/../../../plugins/platforms/qwindows.dll
            DESTINATION bin/platforms COMPONENT all
        )

        #custom commands based on: https://gist.github.com/Rod-Persky/e6b93e9ee31f9516261b
        add_custom_command(TARGET fstl POST_BUILD 
            COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::Core>       $<TARGET_FILE_DIR:${PROJECT_NAME}>
            COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::Gui>        $<TARGET_FILE_DIR:${PROJECT_NAME}>
            COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::Widgets>    $<TARGET_FILE_DIR:${PROJECT_NAME}>
            COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:Qt5::OpenGL>     $<TARGET_FILE_DIR:${PROJECT_NAME}>
        )	
    endif(MSVC)

    # windows specific installer generation information
    set(CPACK_GENERATOR NSIS)
    set(CPACK_NSIS_ENABLE_UNINSTALL_BEFORE_INSTALL OFF)
    set(CPACK_NSIS_MODIFY_PATH ON)
    set(CPACK_NSIS_MUI_FINISHPAGE_RUN ${PROJECT_NAME})
    set(CPACK_PACKAGE_INSTALL_DIRECTORY "${PROJECT_NAME}")
    set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\fstl.exe")
    set(CPACK_NSIS_URL_INFO_ABOUT "https://github.com/fstl-app/fstl")
    set(CPACK_NSIS_DISPLAY_NAME "fstl ${FSTL_VERSION}")
    set(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/exe/fstl.ico")
    set(CPACK_NSIS_MUI_UNIICON  "${CMAKE_CURRENT_SOURCE_DIR}/exe/fstl.ico")
    set(CPACK_NSIS_CREATE_ICONS_EXTRA
        "CreateShortCut '$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\fstl.lnk' '$INSTDIR\\\\bin\\\\fstl.exe'")
    set(CPACK_COMPONENTS_ALL all)
    if (CMAKE_CL_64)
        set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES64")
    else (CMAKE_CL_64)
        set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
    endif (CMAKE_CL_64)
elseif(APPLE)
    set(CPACK_GENERATOR "DragNDrop")
    set(CPACK_DMG_FORMAT "UDBZ")
    set(CPACK_DMG_VOLUME_NAME "${PROJECT_NAME}")
    set(CPACK_SYSTEM_NAME "OSX")
    set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
    set(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/app/fstl.icns")
else()
    install(TARGETS fstl RUNTIME DESTINATION bin)

    set(CPACK_GENERATOR "DEB;RPM")
    set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
endif(WIN32)

include(CPack)

=== debian/changelog ===
fstl (0.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jakob Haufe ]
  * Update watchfile to use Github API
  * Bump Standards-Version
  * Update d/copyright

 -- Jakob Haufe <sur5r@debian.org>  Tue, 21 Feb 2023 16:53:01 +0100

fstl (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * Point Vcs-* to salsa
  * Drop -Wl,--as-needed
  * Update watchfile
  * Update copyright dates
  * Bump Standards-Version
  * Fix FTBFS on armhf

 -- Jakob Haufe <sur5r@debian.org>  Wed, 29 Jun 2022 20:59:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@debian.org>
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qtchooser, libqt5opengl5-dev, cmake
-Standards-Version: 4.5.1
-Homepage: http://www.mattkeeter.com/projects/fstl/
-Vcs-Git: https://git.sur5r.net/fstl
-Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary
+Standards-Version: 4.6.2
+Homepage: https://www.mattkeeter.com/projects/fstl/
+Vcs-Git: https://salsa.debian.org/sur5r/fstl.git
+Vcs-Browser: https://salsa.debian.org/sur5r/fstl
 Rules-Requires-Root: no
 
 Package: fstl

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/$/.tar.gz/ \
 https://api.github.com/repos/fstl-app/@PACKAGE@/releases \
 https://api.github.com/repos/fstl-app/@PACKAGE@/tarball/v@ANY_VERSION@

## fstl 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #### Fast .stl viewer #####
-# Original Project Author: Matt Keeter Copyright 2014 -2017
-# Author: Paul Tsouchlos Copyright 2017
+# Original Project Author: Matt Keeter Copyright 2014-2024
+# Author: Paul Tsouchlos Copyright 2017-2024
 
 cmake_minimum_required(VERSION 3.3)
 
@@ -13,7 +13,7 @@
 
 # Set the version number
 set (FSTL_VERSION_MAJOR "0")
-set (FSTL_VERSION_MINOR "10")
+set (FSTL_VERSION_MINOR "11")
 set (FSTL_VERSION_PATCH "0")
 set (PROJECT_VERSION "${FSTL_VERSION_MAJOR}.${FSTL_VERSION_MINOR}.${FSTL_VERSION_PATCH}")
 
@@ -32,7 +32,8 @@
 src/loader.cpp
 src/main.cpp
 src/mesh.cpp
-src/window.cpp)
+src/window.cpp
+src/shaderlightprefs.cpp)
 
 #set project headers. 
 set(Project_Headers src/app.h
@@ -42,7 +43,8 @@
 src/glmesh.h
 src/loader.h
 src/mesh.h
-src/window.h)
+src/window.h
+src/shaderlightprefs.h)
 
 #set project resources and icon resource
 set(Project_Resources qt/qt.qrc gl/gl.qrc)

=== debian/changelog ===
fstl (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0

 -- Jakob Haufe <sur5r@debian.org>  Mon, 07 Apr 2025 16:47:51 +0200

=== debian/control ===
Source: fstl
Section: graphics
Priority: optional
Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper-compat (= 13),
Build-Depends-Arch: cmake,
                    libqt5opengl5-dev,
                    qtbase5-dev,
                    qtchooser,
Standards-Version: 4.7.2
Homepage: https://www.mattkeeter.com/projects/fstl/
Vcs-Git: https://salsa.debian.org/sur5r/fstl.git
Vcs-Browser: https://salsa.debian.org/sur5r/fstl
Rules-Requires-Root: no

Package: fstl
Architecture: any
Depends: libgl1-mesa-dri,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Viewer for .stl files
 fstl is a viewer for .stl files commonly used in stereolithography,
 rapid prototyping, 3D printing and CAM.
 .
 It is optimized to quickly load and render very high-polygon models.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh "$@"

## fstl 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,55 @@
 # Original Project Author: Matt Keeter Copyright 2014-2024
 # Author: Paul Tsouchlos Copyright 2017-2024
 
-cmake_minimum_required(VERSION 3.3)
+cmake_minimum_required(VERSION 3.10)
 
 project(fstl)
 
-# Setting -std=c++11
-set(CMAKE_CXX_STANDARD 11)
-# Setting standard to required, as requisted by DeveloperPaul123 on github
+# Setting -std=c++14
+set(CMAKE_CXX_STANDARD 14)
 set(CXX_STANDARD_REQUIRED ON)
+
+option(FSTL_CHECK_FORMAT "Check source code formatting with clang-format" OFF)
+if(FSTL_CHECK_FORMAT)
+    find_program(CLANG_FORMAT_EXE NAMES clang-format)
+    if(NOT CLANG_FORMAT_EXE)
+        message(FATAL_ERROR "Could not find clang-format executable!")
+    endif()
+
+    file(GLOB_RECURSE ALL_SOURCE_FILES CONFIGURE_DEPENDS
+        src/*.h
+        src/*.cpp
+        qt/*.h
+        qt/*.cpp
+        gl/*.h
+        gl/*.cpp
+        exe/*.h
+        exe/*.cpp
+    )
+
+    add_custom_target(check-format
+        COMMAND ${CLANG_FORMAT_EXE}
+            --Werror
+            --style=file
+            --dry-run
+            ${ALL_SOURCE_FILES}
+        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+        COMMENT "Checking source code formatting"
+        VERBATIM)
+    add_custom_target(fix-format
+        COMMAND ${CLANG_FORMAT_EXE}
+            --style=file
+            -i
+            ${ALL_SOURCE_FILES}
+        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+        COMMENT "Fixing source code formatting"
+        VERBATIM)
+endif()
 
 # Set the version number
 set (FSTL_VERSION_MAJOR "0")
 set (FSTL_VERSION_MINOR "11")
-set (FSTL_VERSION_PATCH "0")
+set (FSTL_VERSION_PATCH "1")
 set (PROJECT_VERSION "${FSTL_VERSION_MAJOR}.${FSTL_VERSION_MINOR}.${FSTL_VERSION_PATCH}")
 
 message(STATUS "Version: ${PROJECT_VERSION}")
@@ -54,7 +90,7 @@
 set(OpenGL_GL_PREFERENCE GLVND)
 
 #find required packages. 
-find_package(Qt5 5.14 REQUIRED COMPONENTS Core Gui Widgets OpenGL)
+find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets OpenGL)
 find_package(OpenGL REQUIRED)
 find_package(Threads REQUIRED)

=== debian/changelog ===
fstl (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1 (Closes: #1112938)

 -- Jakob Haufe <sur5r@debian.org>  Mon, 29 Sep 2025 11:42:51 +0200

=== debian/watch ===
version=4
opts=searchmode=plain \
 https://api.github.com/repos/fstl-app/@PACKAGE@/releases \
 https://api.github.com/repos/fstl-app/@PACKAGE@/tarball/v@ANY_VERSION@
